## org.apache.xerces.dom3.as
Interface ASObject

All Known Subinterfaces:
  ASAttributeDeclaration, ASContentModel, ASElementDeclaration, ASEntityDeclaration, ASModel, ASNotationDeclaration

Deprecated. The `ASObject` interface is analogous to a `Node` in , e.g., an element declaration.

Opaque.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

public interface ASObject

Field Summary
`static short` `AS_ATTRIBUTE_DECLARATION` Deprecated. The node is an `ASAttributeDeclaration`.
`static short` `AS_CONTENTMODEL` Deprecated. The node is a `ASContentModel`.
`static short` `AS_ELEMENT_DECLARATION` Deprecated. The node is an `ASElementDeclaration`.
`static short` `AS_ENTITY_DECLARATION` Deprecated. The node is an `ASEntityDeclaration`.
`static short` `AS_MODEL` Deprecated. The node is a `ASModel`.
`static short` `AS_NOTATION_DECLARATION` Deprecated. The node is a `ASNotationDeclaration`.

Method Summary
`ASObject` `cloneASObject(boolean deep)` Deprecated. Creates a copy of this `ASObject`.
`short` `getAsNodeType()` Deprecated. A code representing the underlying object as defined above.
`java.lang.String` `getLocalName()` Deprecated. Returns the local part of the qualified name of this `ASObject`.
`java.lang.String` `getNamespaceURI()` Deprecated. The namespace URI of this node, or `null` if it is unspecified.
`java.lang.String` `getNodeName()` Deprecated. The `name` of this `ASObject` depending on the `ASObject` type.
`ASModel` `getOwnerASModel()` Deprecated. The `ASModel` object associated with this `ASObject`.
`java.lang.String` `getPrefix()` Deprecated. The namespace prefix of this node, or `null` if it is unspecified.
`void` `setLocalName(java.lang.String localName)` Deprecated. Returns the local part of the qualified name of this `ASObject`.
`void` `setNamespaceURI(java.lang.String namespaceURI)` Deprecated. The namespace URI of this node, or `null` if it is unspecified.
`void` `setNodeName(java.lang.String nodeName)` Deprecated. The `name` of this `ASObject` depending on the `ASObject` type.
`void` `setOwnerASModel(ASModel ownerASModel)` Deprecated. The `ASModel` object associated with this `ASObject`.
`void` `setPrefix(java.lang.String prefix)` Deprecated. The namespace prefix of this node, or `null` if it is unspecified.

Field Detail

### AS_ELEMENT_DECLARATION

    public static final short AS_ELEMENT_DECLARATION

  Deprecated.
  The node is an `ASElementDeclaration`.

  See Also:
    Constant Field Values

### AS_ATTRIBUTE_DECLARATION

    public static final short AS_ATTRIBUTE_DECLARATION

  Deprecated.
  The node is an `ASAttributeDeclaration`.

  See Also:
    Constant Field Values

### AS_NOTATION_DECLARATION

    public static final short AS_NOTATION_DECLARATION

  Deprecated.
  The node is a `ASNotationDeclaration`.

  See Also:
    Constant Field Values

### AS_ENTITY_DECLARATION

    public static final short AS_ENTITY_DECLARATION

  Deprecated.
  The node is an `ASEntityDeclaration`.

  See Also:
    Constant Field Values

### AS_CONTENTMODEL

    public static final short AS_CONTENTMODEL

  Deprecated.
  The node is a `ASContentModel`.

  See Also:
    Constant Field Values

### AS_MODEL

    public static final short AS_MODEL

  Deprecated.
  The node is a `ASModel`.

  See Also:
    Constant Field Values

Method Detail

### getAsNodeType

    public short getAsNodeType()

  Deprecated.
  A code representing the underlying object as defined above.

### getOwnerASModel

    public ASModel getOwnerASModel()

  Deprecated.
  The `ASModel` object associated with this `ASObject`. For a node of type `AS_MODEL`, this is `null`.

### setOwnerASModel

    public void setOwnerASModel(ASModel ownerASModel)

  Deprecated.
  The `ASModel` object associated with this `ASObject`. For a node of type `AS_MODEL`, this is `null`.

### getNodeName

    public java.lang.String getNodeName()

  Deprecated.
  The `name` of this `ASObject` depending on the `ASObject` type.

### setNodeName

    public void setNodeName(java.lang.String nodeName)

  Deprecated.
  The `name` of this `ASObject` depending on the `ASObject` type.

### getPrefix

    public java.lang.String getPrefix()

  Deprecated.
  The namespace prefix of this node, or `null` if it is unspecified.

### setPrefix

    public void setPrefix(java.lang.String prefix)

  Deprecated.
  The namespace prefix of this node, or `null` if it is unspecified.

### getLocalName

    public java.lang.String getLocalName()

  Deprecated.
  Returns the local part of the qualified name of this `ASObject`.

### setLocalName

    public void setLocalName(java.lang.String localName)

  Deprecated.
  Returns the local part of the qualified name of this `ASObject`.

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Deprecated.
  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

### setNamespaceURI

    public void setNamespaceURI(java.lang.String namespaceURI)

  Deprecated.
  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

### cloneASObject

    public ASObject cloneASObject(boolean deep)

  Deprecated.
  Creates a copy of this `ASObject`. See text for `cloneNode` off of `Node` but substitute AS functionality.

  Parameters:
    `deep` - Setting the `deep` flag on, causes the whole subtree to be duplicated. Setting it to `false` only duplicates its immediate child nodes.
  Returns:
    Cloned `ASObject`.

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.